summaryrefslogtreecommitdiff
path: root/qa/1005
diff options
context:
space:
mode:
Diffstat (limited to 'qa/1005')
-rwxr-xr-xqa/100525
1 files changed, 25 insertions, 0 deletions
diff --git a/qa/1005 b/qa/1005
new file mode 100755
index 0000000..6645cee
--- /dev/null
+++ b/qa/1005
@@ -0,0 +1,25 @@
+#!/bin/sh
+# PCP QA Test No. 1005
+# Check handling of missing plot title keyword - caused SEGV,
+# observed while hand-crafting config file for interactive QA
+# in the Settings dialog.
+#
+seq=`basename $0`
+echo "QA output created by $seq"
+. ./common.qt
+
+_check_display
+which pmchart >/dev/null 2>&1 || _notrun "pmchart not installed"
+
+status=0 # success is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+cat <<End-of-File | pmchart -c - -C 2>&1 | _filter_views
+#kmchart
+version 1
+chart title "Settings Color Test" style stacking
+ plot "01" metric sample.hordes.one instance "1"
+End-of-File
+
+exit